## org.biojava.bridge.Biocorba.Seqcore
Class SeqFeatureIteratorImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.SeqFeatureIteratorImpl

public class SeqFeatureIteratorImpl
extends UnknownImpl
implements _SeqFeatureIterator_Operations

Constructor Summary
`SeqFeatureIteratorImpl(Seq parentSeq, java.util.Iterator itt)`

Method Summary
`Seq` `getParentSeq()`
`boolean` `has_more(org.omg.CORBA.portable.ObjectImpl seqFeatureIterator)`
`SeqFeature` `next(org.omg.CORBA.portable.ObjectImpl seqFeatureIterator)`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqFeatureIteratorImpl

    public SeqFeatureIteratorImpl(Seq parentSeq,
                                  java.util.Iterator itt)

Method Detail

### getParentSeq

    public Seq getParentSeq()

### next

    public SeqFeature next(org.omg.CORBA.portable.ObjectImpl seqFeatureIterator)
                    throws EndOfStream,
                           UnableToProcess

  Specified by:
    next in interface _SeqFeatureIterator_Operations

### has_more

    public boolean has_more(org.omg.CORBA.portable.ObjectImpl seqFeatureIterator)

  Specified by:
    has_more in interface _SeqFeatureIterator_Operations